## ros-kinetic-rocon-interactions 0.3.2

=== debian/changelog ===
ros-kinetic-rocon-interactions (0.3.2-1xenial) xenial; urgency=high

  * test case for global executable with args
  * longer looping between warning messages when checking for the rapp list

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 10 May 2016 15:00:00 -0000

ros-kinetic-rocon-interactions (0.3.1-1xenial) xenial; urgency=high

  * [rocon_interactions] bugfix various pairing problems

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 15 Mar 2016 15:00:00 -0000

ros-kinetic-rocon-interactions (0.3.0-1xenial) xenial; urgency=high

  * overhauled for better pairing management
  * user side can now be dependent on a paired rapp

 -- Daniel Stonier <d.stonier@gmail.com>  Fri, 09 Oct 2015 15:00:00 -0000

ros-kinetic-rocon-interactions (0.2.0-1xenial) xenial; urgency=high

  * required dependency on a running rapp for interactions
  * sleep function exception handling

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 17 Aug 2015 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.18-1xenial) xenial; urgency=high

  * get_interctions accept empty rocon_uri as wild card closes #85 <https://github.com/robotics-in-concert/rocon_tools/issues/85>
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 05 May 2015 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.17-1xenial) xenial; urgency=high

  * ros param binding to resolve #81 <https://github.com/robotics-in-concert/rocon_tools/issues/81>
  * set the defualt values in interactions.js
  * Contributors: Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 05 Apr 2015 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.16-1xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 01 Mar 2015 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.15-1xenial) xenial; urgency=high

  * [rocon_interactions] android demo finally working.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 26 Feb 2015 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.14-1xenial) xenial; urgency=high

  * default icon if resource is not found  closes #76 <https://github.com/robotics-in-concert/rocon_tools/issues/76>
  * resource to filepath
  * fix wrong code documents
  * fix bug
  * load fucntion divide up into loading from file and resource part
  * update interaction loader for running with absolute path
  * Contributors: Jihoon Lee, dwlee

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 08 Feb 2015 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.13-1xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 11 Jan 2015 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.12-1xenial) xenial; urgency=high



 -- Daniel Stonier <d.stonier@gmail.com>  Wed, 07 Jan 2015 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.11-1xenial) xenial; urgency=high

  * add webserver address example
  * fix invalid compatibility fix #67 <https://github.com/robotics-in-concert/rocon_tools/issues/67>
  * webserver address dynamic binding
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Mon, 01 Dec 2014 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.10-1xenial) xenial; urgency=high

  * update web interaction examples
  * Contributors: Jihoon Lee

 -- Daniel Stonier <d.stonier@gmail.com>  Thu, 20 Nov 2014 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.9-1xenial) xenial; urgency=high

  * Fix timeouts
  * move from symbolic links to includes for changelogs to avoid eclipse bewilderment.
  * Contributors: Daniel Stonier, kentsommer

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 24 Aug 2014 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.7-1xenial) xenial; urgency=high

  * documentation specifying updated roslaunch/rosrunnable/web app use of parameters and remaps.
  * be robust against socket errors with the master, we must keep spinning.
  * update rospy publisher queue_size to avoid warning in indigo.
  * missing dependency on rocon_app_manager_msgs, fixes #43 <https://github.com/robotics-in-concert/rocon_tools/issues/43>.
  * bugfix initialisation of variables to fix pairing stop app problems, #38 <https://github.com/robotics-in-concert/rocon_tools/issues/38>.
  * increase timeout for waiting for rapp manager, refs #37 <https://github.com/robotics-in-concert/rocon_tools/issues/37>.
  * Contributors: Daniel Stonier, Jihoon Lee, Marcus Liebhardt

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 25 May 2014 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.5-1xenial) xenial; urgency=high

  * threadified the interactions manager rapp handler find routine, closes #37 <https://github.com/robotics-in-concert/rocon_tools/issues/37>.
  * pairing interactions support, #34 <https://github.com/robotics-in-concert/rocon_tools/issues/34>.
  * web_url(), web_app() specifications for web_urls and web_apps, #33 <https://github.com/robotics-in-concert/rocon_tools/issues/33>.
  * Contributors: Daniel Stonier, Jack O'Quin

 -- Daniel Stonier <d.stonier@gmail.com>  Sun, 04 May 2014 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.4-1xenial) xenial; urgency=high

  * bugfix get_interaction callback, return the msg, not the class, #24 <https://github.com/robotics-in-concert/rocon_tools/issues/24>
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 15 Apr 2014 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.3-1xenial) xenial; urgency=high

  * rocon_uri variable name clashes with module name, fixed.
  * get_roles moved to a service.
  * more precise rocon uri os fields for pc interactions, also added trusty to the os rules.
  * catch invalid uri's when filtering.
  * bugfix the request interactions hash handling, had legacy msg code still being used.
  * Contributors: Daniel Stonier

 -- Daniel Stonier <d.stonier@gmail.com>  Tue, 08 Apr 2014 15:00:00 -0000

ros-kinetic-rocon-interactions (0.1.1-1xenial) xenial; urgency=high

  * test dependencies.
  * Contributors: Daniel Stonier


