=== debian/control ===
Source: ros-kinetic-rocon-interactions
Section: misc
Priority: extra
Maintainer: Daniel Stonier <d.stonier@gmail.com>
Build-Depends: debhelper (>= 9.0.0), python-catkin-pkg, ros-kinetic-catkin, ros-kinetic-roslint, ros-kinetic-rostest, ros-kinetic-rosunit
Homepage: http://ros.org/wiki/rocon_interactions
Standards-Version: 3.9.2

Package: ros-kinetic-rocon-interactions
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python-rospkg, ros-kinetic-genpy, ros-kinetic-rocon-app-manager-msgs, ros-kinetic-rocon-bubble-icons, ros-kinetic-rocon-console, ros-kinetic-rocon-icons, ros-kinetic-rocon-interaction-msgs, ros-kinetic-rocon-python-comms, ros-kinetic-rocon-python-utils, ros-kinetic-rocon-std-msgs, ros-kinetic-rocon-uri, ros-kinetic-rospy, ros-kinetic-std-msgs, ros-kinetic-unique-id
Description: Interaction management for human interactive agents in the concert.
